Installation problem

Software Forums Support Installation problem

This topic contains 2 replies, has 2 voices, and was last updated by  MarkyV 8 months, 1 week ago.

Viewing 3 posts - 1 through 3 (of 3 total)
  • Author
    Posts
  • #783

    MarkyV
    Participant

    Hi, I have installed the free plugin, entered the shortcode onto a page and navigated to it but then I see a page of errors such as:

    Warning: mysqli::mysqli() expects parameter 5 to be long, string given in /homepages/32/d277881610/htdocs/wordpress/wp-content/plugins/dms/includes/general/i_pal_wordpress.php on line 46

    I am running PHP 5.5 on the server and 4.7.3 of wordpress

    Thanks,

    Mark

    #784

    reifsnyderb
    Keymaster

    Hello,

    The problem could be anywhere and doesn’t happen in test or on any of my production systems.

    Please send all of the error messages to me at reifsnyderb@hotmail.com.

    Sometimes the error message you see is caused by a whole chain of events.

    Best Regards,

    Brian

    • This reply was modified 8 months, 2 weeks ago by  reifsnyderb.
    #786

    MarkyV
    Participant

    For anyone else who runs into this – my host is 1&1 – their support for mySQLi is flakey which is what causes this problem.

    My current workaround is to force mySQL to be used with an addition on line 35 of i_pal_wordpress.php in the plugin directory under includes/general :

    $this->use_mysqli = false;

    I suspect Brian will update this thread when a better solution is found.

    Thanks Brian for your help on this 🙂

Viewing 3 posts - 1 through 3 (of 3 total)

You must be logged in to reply to this topic.